Batch query the status of multiple Suno tasks.
Request
Add parameter in header Authorization
Example:Authorization: ********************
or
Body Params application/jsonRequired
Request Code Samples
curl --location --request POST 'https://api.ccapi.ai//suno/fetch' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"ids": [
"string"
]
}'
Responses
{
"code": 0,
"message": "string",
"data": [
{
"code": 0,
"message": "string",
"data": {
"taskId": "string",
"status": "PENDING",
"action": "string",
"audioUrl": "string",
"videoUrl": "string",
"stems": {
"vocalsUrl": "string",
"instrumentalsUrl": "string",
"drumsUrl": "string",
"bassUrl": "string"
},
"lyrics": "string",
"alignedLyrics": [
{
"time": 0,
"text": "string"
}
],
"tags": "string",
"errorMessage": "string"
}
}
]
}
Modified at 2026-03-15 06:56:57